issue loading a .NET assembly

Aug 27, 2015 at 6:45 AM
Hi , I keep getting this error while loading a .NET assembly.
Failure in rclr_ms_call_static_method, but could not retrieve an error message

I'm guessing it's related to compatibility between .NET 2.0 and 4.0 so added config files to use legacy version. But still get the same error. Any insights?
Coordinator
Aug 29, 2015 at 4:27 AM
Is the assembly you are loading targeting the 2.0 runtime? (this includes those targetting 3.0 and 3.5). If so, this is likely a restriction of the .NET runtime: you may not be able to load this assembly using the .NET embedding API that rClr uses. However I am pretty sure that loading a .NET assembly 4.0 that depends on one or more 2.0 dependencies should work fine. You may need to write a wrapper assembly targeting 4.0.